void printc(char val);
void prints(short val);
void printi(int val);
void printl(long val);

void function(char c, short s, int i, long l)
{
  printc(c);
  prints(s);
  printi(i);
  printl(l);
}

void function2(unsigned char c, unsigned short s, unsigned int i, unsigned long l)
{
  printc(c);
  prints(s);
  printi(i);
  printl(l);
}

int main()
{
  function(1, 2, 3, 4);
  function(-1, -2, -3, -4);
  function2(1, 2, 3, 4);
  function2(-1, -2, -3, -4);

  return 0;
}
